import { Resource } from 'aws-cdk-lib';
import { Construct } from 'constructs';
import { IBrokerDeployment } from './broker-deployment';
import { IBrokerConfiguration } from './configuration';
export interface ConfigurationAssociationProps {
    readonly broker: IBrokerDeployment;
    readonly configuration: IBrokerConfiguration;
}
export declare class ConfigurationAssociation extends Resource {
    constructor(scope: Construct, id: string, props: ConfigurationAssociationProps);
}
