/**
 *
 * @see: https://docs.aws.amazon.com/amazon-mq/latest/developer-guide/rabbitmq-version-management.html
 */
export declare class RabbitMqBrokerEngineVersion {
    private readonly version;
    static readonly V3_13: RabbitMqBrokerEngineVersion;
    static readonly V3_12_13: RabbitMqBrokerEngineVersion;
    static readonly V3_11_20: RabbitMqBrokerEngineVersion;
    static readonly V3_10_20: RabbitMqBrokerEngineVersion;
    static readonly V3_9_27: RabbitMqBrokerEngineVersion;
    static readonly V3_8_34: RabbitMqBrokerEngineVersion;
    static of(version: string): RabbitMqBrokerEngineVersion;
    protected constructor(version: string);
    toString(): string;
}
