/**
 *
 * @see: https://docs.aws.amazon.com/amazon-mq/latest/developer-guide/activemq-version-management.html
 */
export declare class ActiveMqBrokerEngineVersion {
    private readonly version;
    static readonly V5_18: ActiveMqBrokerEngineVersion;
    static readonly V5_17_6: ActiveMqBrokerEngineVersion;
    static readonly V5_16_7: ActiveMqBrokerEngineVersion;
    static readonly V5_15_16: ActiveMqBrokerEngineVersion;
    static of(version: string): ActiveMqBrokerEngineVersion;
    protected constructor(version: string);
    toString(): string;
}
