import * as lambda from 'aws-cdk-lib/aws-lambda';
import { Construct } from 'constructs';
/**
 * Props for EsmDeleterIsCompleteFunction
 */
export interface EsmDeleterIsCompleteFunctionProps extends lambda.FunctionOptions {
}
/**
 * An AWS Lambda function which executes src/mq-esm/esm-deleter.is-complete.
 */
export declare class EsmDeleterIsCompleteFunction extends lambda.Function {
    constructor(scope: Construct, id: string, props?: EsmDeleterIsCompleteFunctionProps);
}
